catalog.product.categorize
Add a product to a category (optionally as the canonical one).
- Scope:
catalog.product.write - System: no
- Reachable from:
POST /v1/commands/catalog.product.categorize(tenant credential) · MCP toolcatalog.product.categorize· SDKclient.call('catalog.product.categorize', …) - Events:
catalog.product.categorized
Input (JSON Schema)
Section titled “Input (JSON Schema)”{ "properties": { "category_id": { "minLength": 1, "type": "string" }, "is_primary": { "type": "boolean" }, "product_id": { "minLength": 1, "type": "string" } }, "required": [ "product_id", "category_id" ], "type": "object"}Result (200)
Section titled “Result (200)”Open (unknown) — this command does not declare an output schema.
Errors
Section titled “Errors”validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)